> ## Documentation Index
> Fetch the complete documentation index at: https://sjaa-dev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Returns all people matching the requested query.  Does not include Admins.  Requires read permissions.



## OpenAPI

````yaml GET /people
openapi: 3.1.1
info:
  title: SJAA Database
  description: An API for securely accessing member and club information.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://membership.sjaa.net/api
security:
  - bearerAuth: []
paths:
  /people:
    get:
      description: >-
        Returns all people matching the requested query.  Does not include
        Admins.  Requires read permissions.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonFilter'
      responses:
        '200':
          description: Array of people.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Person'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    PersonFilter:
      type: object
      properties:
        email:
          description: Filter by given email address.
          type: string
        first_name:
          description: Filter by given first name.
          type: string
        last_name:
          description: Filter by given last name.
          type: string
        active:
          type: string
          anyOf:
            - const: 'yes'
              title: Active
              description: People with a current membership.
            - const: 'no'
              title: Inactive
              description: People without a current membership.
        discord_id:
          description: Filter by given Discord user ID.
          type: string
        has_discord:
          description: Filter by the presence of a Discord user ID.
          type: boolean
        has_telescopius:
          description: Filter by the presence of a Telescopius user ID.
          type: boolean
    Person:
      type: object
      properties:
        id:
          description: Internal database identifier.  Use where :id is required.
          type: array
        contacts:
          description: List of contacts, including address, phone, and email.
          type: array
        memberships:
          description: List of memberships, which include start and end dates.
          type: array
        first_name:
          description: first name.
          type: string
        last_name:
          description: last name.
          type: string
        discord_id:
          description: Discord user ID.
          type: string
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
  responses:
    Unauthorized:
      description: >-
        Request failed to authenticate or contained insufficient permissions for
        the operation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````